Package Details: feedreader-git 2.10.0.r2894-1

Git Clone URL: https://aur.archlinux.org/feedreader-git.git (read-only, click to copy)
Package Base: feedreader-git
Description: FeedReader is a modern desktop application designed to complement existing web-based RSS accounts.
Upstream URL: https://github.com/jangernert/FeedReader
Keywords: atom feed feedreader reader rss tt-rss
Licenses: GPL3
Conflicts: feedreader
Provides: feedreader
Submitter: horosgrisa
Maintainer: asm0dey
Last Packager: asm0dey
Votes: 20
Popularity: 0.001166
First Submitted: 2016-02-04 17:35
Last Updated: 2019-10-22 14:07

Latest Comments

1 2 3 4 5 Next › Last »

jmadden173 commented on 2020-01-16 01:33

After trying some more ideas, I found that it was a problem with gnome-keyring where it was not able to open a window to input a password. This thread (https://bbs.archlinux.org/viewtopic.php?id=202754) explains what was happening and how to fix it. I'm still not sure why when using the local RSS module it still required the use of unlocking the keychain.

asm0dey commented on 2020-01-15 07:40

@jmadden173it looks like you should report to the upstream at https://github.com/jangernert/FeedReader I myself maintain only package, not code

jmadden173 commented on 2020-01-15 07:25

I am running to this error when trying to add a new RSS feed on a the Local RSS backend. Happens with this packages and the stable one.

feedreader-INFO: 23:24:05.864: addFeed: ID = 39379ede-4df8-4656-a738-e60e65dae4b2

** (feedreader:18390): CRITICAL **: 23:13:05.611: feed_reader_local_utils_downloadFeed: assertion 'self != NULL' failed

** (feedreader:18390): CRITICAL **: 23:13:05.612: ___lambda281_: assertion 'errmsg != NULL' failed

asm0dey commented on 2019-10-22 14:08

@huyderman fixed, thank you!

huyderman commented on 2019-10-22 13:26

Had to make a couple changes to the PKGBUILD for it to build with latest version.

The first was updating pkgver() to handle version 2.10.0:

pkgver() {
  cd "$srcdir/FeedReader"
  printf "%s.r%s" $(git tag | sort -V | tail -n1 | sed 's/^v//') "$(git rev-list --count HEAD)"
}

The other was to add git cherry-pick 056d1ac485643a528ed9b4bf84940b9165369a2a to prepare(), re this issue referencing an open pull-request: https://github.com/jangernert/FeedReader/issues/949

asm0dey commented on 2019-03-04 19:24

@naraesk TBH I dunno. I just support this packsge and make it work :) Also I can add afl-utils and libunity as optdependencies But why do you need unity on Arch which doesn't have unity?

naraesk commented on 2019-03-04 19:15

I've noticed that not all dependencies were available while compiling the package. Had to install afl-utils and libunity and now everything is ON or YES. It worked anyway, but since unity is listed as official dependency it might be necessary at some point.

I have two problems with feedreader using the local plugin. - Atom feeds do not work (e.g. https://rss.golem.de/rss.php?tp=av&feed=ATOM1.0) - cannot copy url of a feed when right click on a feed in the feed list and clicking on "copy url"

The devs say this has to work. Might it be a specific problem of this package? Can you reproduc the issues? Thanks!

goldensuneur commented on 2019-01-24 16:34

@asm0dey I works fine for me, thanks

asm0dey commented on 2019-01-24 15:55

@goldensuneur please test now

asm0dey commented on 2019-01-23 12:11

@goldensuneur corresponging upstream bug: https://github.com/jangernert/FeedReader/issues/841